MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027080Open CASCADE[OCCT] OCCT:Codingpublic2016-01-15 08:112016-04-20 15:50
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027080: Coding - eliminate CLang compiler warning on OS X: unused parameter (in .mm files)
DescriptionCLang on OS X currently reports these warnings:

Draw_Window_1.mm:49, Clang (LLVM based), Priority: Normal
unused parameter 'theRect'

Draw_Window_1.mm:512, Clang (LLVM based), Priority: Normal
unused parameter 'theMode'

OpenGl_Window_1.mm:56, Clang (LLVM based), Priority: Normal
unused parameter 'theDriver'

ViewerTest_ViewerCommands_1.mm:106, Clang (LLVM based), Priority: Normal
unused parameter 'theNotification'

ViewerTest_ViewerCommands_1.mm:197, Clang (LLVM based), Priority: Normal
unused parameter 'theDirtyRect'

ViewerTest_ViewerCommands_1.mm:270, Clang (LLVM based), Priority: Normal
unused parameter 'theEvent'

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0049930)
git (administrator)
2016-01-19 14:11

Branch CR27080 has been created by kgv.

SHA-1: 6a9f574bcffa5468279b04ff7d157beb679a5941


Detailed log of new commits:

Author: kgv
Date: Tue Jan 19 14:10:48 2016 +0300

    0027080: Coding - eliminate CLang compiler warning on OS X: unused parameter (in .mm files)
(0049931)
git (administrator)
2016-01-19 14:17

Branch CR27080 has been updated forcibly by kgv.

SHA-1: 4ac99114a506ce97df3321b4d48d496838ff22ad
(0049932)
kgv (developer)
2016-01-19 14:18

Patch is ready for review in branch CR27080.
(0049956)
abv (manager)
2016-01-20 09:05

No remarks, please check compilation (OS X only) and integrate
(0049979)
mkv (tester)
2016-01-20 17:45

Dear BugMaster,
Branch CR27080 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 4ac99114a506ce97df3321b4d48d496838ff22ad

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 1 (7 on master)

products component :
Linux: 36 (36 on master)
Windows: 0 (0 on master)
(0049980)
mkv (tester)
2016-01-20 17:46

Dear BugMaster,
Branch CR27080 is TESTED.
(0052866)
git (administrator)
2016-04-17 13:27

Branch CR27080 has been deleted by kgv.

SHA-1: 4ac99114a506ce97df3321b4d48d496838ff22ad

- Related Changesets
occt: master 5ef127d0
Timestamp: 2016-01-19 11:17:45
Author: abv
Committer: abv
Details ] Diff ]
0027080: Coding - eliminate CLang compiler warning on OS X: unused parameter (in .mm files)
mod - src/Draw/Draw_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands_1.mm Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-15 08:11 abv New Issue
2016-01-15 08:11 abv Assigned To => kgv
2016-01-19 14:11 git Note Added: 0049930
2016-01-19 14:17 git Note Added: 0049931
2016-01-19 14:18 kgv Note Added: 0049932
2016-01-19 14:18 kgv Assigned To kgv => abv
2016-01-19 14:18 kgv Status new => resolved
2016-01-19 14:18 kgv Steps to Reproduce Updated View Revisions
2016-01-20 09:05 abv Note Added: 0049956
2016-01-20 09:05 abv Assigned To abv => bugmaster
2016-01-20 09:05 abv Status resolved => reviewed
2016-01-20 13:22 mkv Assigned To bugmaster => mkv
2016-01-20 17:45 mkv Note Added: 0049979
2016-01-20 17:46 mkv Note Added: 0049980
2016-01-20 17:46 mkv Assigned To mkv => bugmaster
2016-01-20 17:46 mkv Status reviewed => tested
2016-01-20 17:46 mkv Test case number => Not needed
2016-01-22 12:17 abv Changeset attached => occt master 5ef127d0
2016-01-22 12:17 abv Assigned To bugmaster => abv
2016-01-22 12:17 abv Status tested => verified
2016-01-22 12:17 abv Resolution open => fixed
2016-04-17 13:27 git Note Added: 0052866
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker